<?php

namespace App\Wrangler\Components;

use Illuminate\Http\Request;
use Medialight\Textstem\Models\WranglerPage;
use Medialight\Textstem\Wrangler\ActiveComponent;

class Code extends ActiveComponent
{
    public $config;

    public array $editSetup = [
        [
            'name' => 'content',
            'controltype' => 'textarea',
            'value' => '',
            'label' => 'Content',
        ],
        [
            'name' => 'language',
            'controltype' => 'text',
            'value' => '',
            'label' => 'Language',
        ],
    ];

    public function render(Request $request, WranglerPage $wranglerPage)
    {
        return view('textstem::wrangler.components.code.default', $this->config)->render();
    }

    public function preview()
    {
        return view('textstem::wrangler.components.code.default', $this->config)->render();
    }
}
